/* 
	HiformED.java
	
	Author : Tomokazu ARITA
	Date   : 2000/09/27
	update : 2001/11/28
	
*/


package hiformed;

//JDK 1.2.x
import javax.swing.*;
import java.awt.event.*;

//hiform
//import DTree.*;
//import MGPanel.*;
//import HiformED.StartWindow.StartWindow;
//import HiformED.Dialog.*;

import hiformed.grammar.*;
import hiformed.editor.*;

public class HiformED{
	
	
	
	//private static StartWindow start_window;
	
	private static HiformEDWindow main_panel;
	private static JFrame MainFrame;
	private static String TITLE = "HiformED";
	private static int WIDTH  = 680;
	private static int HEIGHT = 480;
	
	
	public HiformED(){
	}
	
	static public void main(String[] args){
		
		//start_window = new StartWindow();
		//start_window.showWindow();
		
		
		//main window
		main_panel  = new HiformEDWindow();
		WindowListener l = new WindowAdapter() {
			public void windowClosing(WindowEvent e) {
				MainFrame.dispose();
				System.exit(0);
			}
		};
		MainFrame = new JFrame(TITLE);
		MainFrame.addWindowListener(l);
		
		MainFrame.getContentPane().add("Center",main_panel);
		MainFrame.setJMenuBar(main_panel.makeMenuBar());
		MainFrame.setSize(WIDTH, HEIGHT);
		MainFrame.show();
		
		/*
		JFrame f = new JFrame();
		f.setSize(10,10);
		f.show();
		FileSelectDialog fsd = new FileSelectDialog(f, "???");
		fsd.setSize(200,200);
		fsd.show();
		*/
	}
	
}