/* 
	GridViewLayer.java

	Author: Tomokazu ARITA
	UpDate: 2001/03/07
	Last Update: 2001/12/06
	Since:  2001/03/07
*/

package hiformed.editor.table;

import javax.swing.JPanel;
import java.awt.Color;
import java.awt.Graphics2D;
import java.awt.Dimension;

public class GridViewLayer extends Layer{
	
	//Obh\pXCb`
	public static final boolean ON  = true;
	public static final boolean OFF = false;
	
	//Obh̊Ԋu
	private int hgrid_space = 20;//̊Ԋu
	private int vgrid_space = 20;//c̊Ԋu
	
	//Obh̐F
	private Color grid_color = new Color(0, 159, 194, 60);//VA
	
	//Obh`悷邩ǂ肷XCb`
	private boolean draw_grid_switch = ON;
	
	public GridViewLayer(){
		super();
	}
	
	//C[̕`ig͂̕I[o[Chďj
	protected void drawLayer(Graphics2D g2){
		if(draw_grid_switch){
			drawGrid(g2);
		}
	}
	
	//Obh`悷
	private void drawGrid(Graphics2D g2){
		Dimension dim = getSize();
		g2.setColor(grid_color);
		
		for(int i=0; i<dim.height; i += hgrid_space){
			g2.drawLine(0,i,dim.width,i);
		}
		for(int i=0; i<dim.width; i += vgrid_space){
			g2.drawLine(i,0,i,dim.height);
		}
	}
	
}
