/* 
	ProductionManager.java

	Author:			Tomokazu ARITA
	update:			2001/11/27	
*/

package hiformed.grammar;

public class ConnectionRelation{
	
	public static final int IN  = 0;
	public static final int OUT = 1;
	
	
	private ConnectionRelation next = null;
	
	public int node_label;
	public int edge_label;
	public int change_edge_label;
	public int node_id;
	public int in_out;
	
	public ConnectionRelation( int node_label,
		int edge_label, int change_edge_label,
		int node_id, int in_out){
		
		this.node_label = node_label;
		this.edge_label = edge_label;
		this.change_edge_label = change_edge_label;
		this.node_id = node_id;
		this.in_out = in_out;
	}
	
	public void setNext(ConnectionRelation next){
		this.next = next;
	}
	
	public ConnectionRelation getNext(){
		return next;
	}
	
}