/* 
	PrecedenceTable.java

	Author:			Tomokazu ARITA
	update:			2001/11/27	
*/

package hiformed.grammar;

public class PrecedenceTable{
	
	//ʊ֌W
	public static final int None  = -1;
	public static final int EdgeOfHandle  = 0;
	public static final int HandleIsLeft  = 1;
	public static final int HandleIsRight = 2;
	public static final int HandleIsLeftRight = 3;
	
		
	//m[h}[NiI[I[j̐
	public int NumberOfNodeMarks  = 1;
	
	//ӂ̃x̂̐
	public int NumberOfEdgeLabels = 1;
	
	//e[u
	public int[][][] PTable;
	
	public PrecedenceTable(){
	}
	
	
	/*
	private void setTable(int p_table[][][]){
		PTable = p_table;
	}
	*/
	
	public int accessTable(int start_node, int edge_label,int end_node){
		int value = -1;
		
		if( (start_node >= 0) && (start_node < NumberOfNodeMarks) ){
			if( (edge_label >= 0) && (edge_label < NumberOfEdgeLabels) ){
				if( (end_node >= 0) && (end_node < NumberOfNodeMarks) ){
					value = PTable[start_node][edge_label][end_node];
				}
			}
		}
		
		return value;
	}
	
	//KĂяo
	public void initTable(){}
}
