/* 
	SA1_16.java

	Author:			Tomokazu ARITA
	update:			2001/11/28
*/


package hiformed.hngg.SemanticRules;

import hiformed.grammar.*;

public class SA1_16 extends SemanticRule{
	
	public SA1_16(){
	}
	
	public void Inh(DTNode left, DTBlock right, int node_number){
		DTNode node0 = left;
		DTNode node1 = right.getNode(1);
		
		if(node_number == 1){
			node1.setAttX(node0.getAttX());
			node1.setAttY(node0.getAttY());
		}
		
	}
	
	
	public void Syn(DTNode left, DTBlock right){
		DTNode node0 = left;
		DTNode node1 = right.getNode(1);
		
		node0.setAttWidth(node1.getAttWidth());
		node0.setAttHeight(node1.getAttHeight());
	}
	
	
}