/* 
	ViewSettingPanel.java

	Author:			Tomokazu ARITA
	update:			2001/11/28
*/

package hiformed.editor;

import javax.swing.*;
import javax.swing.border.*;
import java.awt.*;

public class ViewSettingPanel extends JPanel{
	private static final int column = 6;
	
	private static Box box = new Box(BoxLayout.X_AXIS);
	//private static JCheckBox CB_Mark = new JCheckBox(" Show Mark of Node ");
	//private static JCheckBox CB_Label = new JCheckBox(" Show Label of Edge ");
	//private static JCheckBox CB_Handle = new JCheckBox(" Show Handle ");
	//private static JCheckBox CB_Precedence = new JCheckBox(" Show Precedence Relation ");
	
	//private static JPanel width_panel  = new JPanel();
	//private static JPanel height_panel = new JPanel();
	private static JPanel size_panel = new JPanel();
	
	private static JLabel width_label  = new JLabel("width ");
	private static JLabel height_label  = new JLabel("height");
	
	private static JTextField width_tf  = new JTextField("0",column);
	private static JTextField height_tf = new JTextField("0",column);
	
	private static Box width_box  = new Box(BoxLayout.Y_AXIS);
	private static Box height_box = new Box(BoxLayout.Y_AXIS);
	
	
	public ViewSettingPanel(){
		setBorder(new TitledBorder(new EtchedBorder(),"Information"));
		Border border = this.getBorder();//
		Border margin = new EmptyBorder(0,0,0,0);//
		setBorder(new CompoundBorder(border, margin));//
		
		//width_box.add(width_box.createGlue());
		width_box.add(width_label);
		width_box.add(width_box.createGlue());
		width_box.add(height_label);
		//width_box.add(width_box.createGlue());
		
		
		
		height_box.add(height_tf);
		height_box.add(height_box.createGlue());
		height_box.add(width_tf);		
		
		box.add(width_box);
		box.add(box.createRigidArea(new Dimension(5,0)));
		box.add(height_box);
		
		//setLayout(new BorderLayout());
		//add(box, BorderLayout.CENTER);
		
		
		add(box);
		
	}
	
}