/* 
	BlockLayoutData.java

	Author:			Tomokazu ARITA
	update:			2001/11/27
*/

package hiformed.editor.derivationtree;

public class NodeData{
	
	public static final int attribute_cell_width = 30;
	public static final int cell_width  = attribute_cell_width*4;
	public static final int cell_height = 15;
	public static final int between_cells = 5;
	
	
	public static final int next_cell_width  = cell_height;
	public static final int next_block_width = cell_height;
		
	public static final int next_node_point_x = cell_width - cell_height/2;
	public static final int next_node_point_y = cell_height/2+1;
	
	public static final int next_block_point_x = cell_width - cell_height/2;
	public static final int next_block_point_y = cell_height*3 + cell_height/2+1;
	
	public static final int string_start_point_x = 3;
	public static final int string_start_point_y = 11;
	
	/*
	static final int point_id_x = string_start_point_x;
	static final int point_id_y = cell_height*0 + string_start_point_y;
	static final int point_node_label_x = string_start_point_x;
	static final int point_node_label_y = cell_height*1 + string_start_point_y;
	static final int point_attribute_x_x = attribute_cell_width*0 + string_start_point_x;
	static final int point_attribute_x_y = cell_height*2 + string_start_point_y;
	static final int point_attribute_y_x = attribute_cell_width*1 + string_start_point_x;
	static final int point_attribute_y_y = cell_height*2 + string_start_point_y;
	static final int point_attribute_width_x = attribute_cell_width*2 + string_start_point_x;
	static final int point_attribute_width_y = cell_height*2 + string_start_point_y;
	static final int point_attribute_height_x = attribute_cell_width*3 + string_start_point_x;
	static final int point_attribute_height_y = cell_height*2 + string_start_point_y;
	*/

	
	//private int node_base_point_x = 0;
	//private int node_base_point_y = 0;
	//private DTNode dt_node = null;
	
	/*
	public NodeData(DTNode node){
		this.dt_node = node;
	}
	*/
	
	public NodeData(){
	}

	
}
