/* 
	BlockManeger.java

	Author:			Tomokazu ARITA
	update:			2001/11/27
*/

package hiformed.editor.mgpanel;

public class PointerToBlockOfStartingLayer{
	private PointerToBlockOfStartingLayer next_layer = null;
	private PointerToBlockOfStartingLayer next_block = null;
	private PointerToBlockOfStartingLayer before_layer = null;
	private Block block = null;
	
	public PointerToBlockOfStartingLayer(Block block){
		this.block = block;
	}
	
	public PointerToBlockOfStartingLayer nextBlock(){
		return next_block;
	}
	
	public PointerToBlockOfStartingLayer nextLayer(){
		return next_layer;
	}
	
	public Block getBlock(){
		return block;
	}
	
	public void setNextPointerOfLayer(PointerToBlockOfStartingLayer next_layer){
		this.next_layer = next_layer;
	}
	
	public void setNextPointerOfBlock(PointerToBlockOfStartingLayer next_block){
		this.next_block = next_block;
	}
	
	public void setBeforePointerOfLayer(PointerToBlockOfStartingLayer before_layer){
		this.before_layer = before_layer;
	}
	
	public PointerToBlockOfStartingLayer beforeLayer(){
		return before_layer;
	}
	
}