/*
 	HiformEDToolBar.java
	Author : Tomokazu ARITA
	Date   : 2002/01/14, 13:40

*/


package hiformed.editor.toolbar;

import javax.swing.JButton;
import javax.swing.BoxLayout;
import javax.swing.JToolBar;
import hiformed.editor.event.EditButtonEventListener;

public class HiformEDToolBar extends JToolBar {
	
	private static ButtonNEW b_new        = new ButtonNEW();
	private static ButtonInsert1 b_ins1   = new ButtonInsert1();
	private static ButtonInsert2 b_ins2   = new ButtonInsert2();
	private static ButtonDelete b_delete  = new ButtonDelete();
	
	//event
	private static EditButtonEventListener edit_listener = new EditButtonEventListener();
	
	/** Creates new HiformEDToolBar */
    public HiformEDToolBar() {
		super(BoxLayout.X_AXIS);
		init();
    }
	
	private void init(){
		add(b_new);
		addSeparator();
		add(b_ins1);
		add(b_ins2);
		add(b_delete);
		
		//event
		edit_listener.addEditButton(b_ins1);
		edit_listener.addEditButton(b_ins2);
		edit_listener.addEditButton(b_delete);
	}

}
