/* 
	DTNode.java

	Author:			Tomokazu ARITA
	update:			2001/11/27	
*/

package hiformed.grammar;

public class DTNode{

	private int node_id;//NodeIDԍ
	private DTNode next_node = null;//ׂ̃m[h
	private String node_label = "";//_x
	private Production production = null;//Kp鐶K
	private DTBlock next_block = null;//KKp̃}[NtOt
									//\ubNւ̃|C^
	
	//attribute 
	private int x = -1;
	private int y = -1;
	private int width  = -1;
	private int height = -1;
	
	//for drawing node
	private int node_x = 0;
	private int node_y = 0;
	
	
	//RXgN^
	public DTNode(){
	}
	
	public void setNodeID(int id){
		this.node_id = id;
	}
	
	public void setNodeLabel(String label){
		this.node_label = label;
	}
	
	public void setNextNode(DTNode node){
		if(node != null){
			this.next_node = node;
		}else{
			System.out.println("error!");
		}
	}
	
	public void setProduction(Production production){
		this.production = production;
	}
	
	public void setNextBlock(DTBlock block){
		if(block != null){
			this.next_block = block;
		}else{
			System.out.println("error!");
		}
	}
	
	public void setAttX(int x){
		this.x = x;
	}
	
	public void setAttY(int y){
		this.y = y;
	}
	
	public void setAttWidth(int width){
		this.width = width;
	}
	
	public void setAttHeight(int height){
		this.height = height;
	}
	
	public int getNodeID(){
		return node_id;
	}
	
	public String getNodeLabel(){
		return node_label;
	}
	
	public int getAttX(){
		return x;
	}
	
	public int getAttY(){
		return y;
	}
	
	public int getAttWidth(){
		return width;
	}
	
	public int getAttHeight(){
		return height;
	}
	
	public DTNode getNextNode(){
		return next_node;
	}
	
	public DTBlock getNextBlock(){
		return next_block;
	}
	
	public void setNodeX(int node_x){
		this.node_x = node_x;
	}
	
	public void setNodeY(int node_y){
		this.node_y = node_y;
	}
	
	public int getNodeX(){
		return node_x;
	}
	
	public int getNodeY(){
		return node_y;
	}
	
	public Production getProduction(){
		return production;
	}
}
