/* 
	SA1_5.java

	Author:			Tomokazu ARITA
	update:			2001/11/28
*/


package hiformed.hngg.SemanticRules;

import hiformed.grammar.*;

public class SA1_5 extends SemanticRule{
	
	public SA1_5(){
	}
	
	public void Inh(DTNode left, DTBlock right, int node_number){
		DTNode node0 = left;
		DTNode node1 = right.getNode(1);
		DTNode node2 = right.getNode(2);
		
		if(node_number == 1){
			node1.setAttX(node0.getAttX());
			node1.setAttY(node0.getAttY());
		}
		if(node_number == 2){
			node2.setAttX(node0.getAttX() + node1.getAttWidth());
			node2.setAttY(node1.getAttY());
		}
	}
	
	
	public void Syn(DTNode left, DTBlock right){
		DTNode node0 = left;
		DTNode node1 = right.getNode(1);
		DTNode node2 = right.getNode(2);
		
		node0.setAttWidth(node1.getAttWidth() + node2.getAttWidth());
		node0.setAttHeight(max(node1.getAttHeight(), node2.getAttHeight()));
	}
	
	
}