/* 
	StartWindow.java

	Author:			Tomokazu ARITA
	Description:	
*/

package HiformED.StartWindow;

import javax.swing.*;
import javax.swing.border.EmptyBorder;
import java.awt.*;
import java.awt.image.*;
import java.awt.event.*;
import java.lang.Thread;
import java.io.File;

public class StartWindow extends JPanel{
	
	static private JFrame frame;
	static private ImageIcon ic;
	static private JLabel label;
	static private StartWindow startwindow;
	
	
	//Load Information
	static private JLabel inforLabel;
	static private JProgressBar progressBar;
	static private JPanel progressPanel;
	
	
	
	public StartWindow(){
		initCompornent();
	}


	//main
	static public void showWindow(){
		
		frame = new JFrame("Start Dialog");
		
		startwindow = new StartWindow();
		
		//Make a Hiform Icon
		String sep = File.separator;
		ic = new ImageIcon("HiformED"+sep+"StartWindow"+sep+"startlogo.gif");
		
		label = new JLabel(ic);
		startwindow.add(label,BorderLayout.CENTER);
		
		//Make a Load Information Bar
		makeProgressBar();
		startwindow.add(progressPanel,BorderLayout.SOUTH);
		
		WindowListener l = new WindowAdapter() {
			public void windowClosing(WindowEvent e) {
				frame.dispose();
				System.exit(0);
			}
		};
		
		frame.getContentPane().add(startwindow);
		frame.addWindowListener(l);
		frame.pack();
		frame.show();
		
		// (^^;);
		for(int i=0; i<100; i++){
			try{
				Thread.sleep(100);
			}catch(Exception e){
			}
			progressBar.setValue(progressBar.getValue() + 1);
		}
		
		frame.dispose();
		
	}
	
	public void initCompornent(){
		setBackground(Color.white);
		
		EmptyBorder border = new EmptyBorder(new Insets(10,5,5,5));
		setBorder(border);
		
		setLayout(new BorderLayout());
	}
	
	static public void makeProgressBar(){
		progressPanel = new JPanel();
		inforLabel    = new JLabel("Now on Load ... ");
		
		progressBar   = new JProgressBar();
		progressBar.setStringPainted(true);
		progressBar.setAlignmentX(CENTER_ALIGNMENT);
		progressBar.setMinimum(0);
		progressBar.setValue(0);
		
		progressPanel.setLayout(
			new BoxLayout(progressPanel, BoxLayout.Y_AXIS)
		);
		
		progressPanel.add(inforLabel);
		progressPanel.add(progressBar);
		
		progressPanel.setBackground(Color.white);
		EmptyBorder border = new EmptyBorder(new Insets(10,5,5,5));
		progressPanel.setBorder(border);
	}
	
}
